Skip to main content
GET
/
payouts
List Payouts
curl --request GET \
  --url https://api.dfns.io/payouts \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "pyt-4ihii-9lonb-tmhjo9bor4odmb5h",
      "walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
      "fiatCurrency": "<string>",
      "asset": {
        "kind": "Erc20",
        "amount": "<string>",
        "contract": "<string>",
        "network": "Algorand",
        "metadata": {
          "decimals": 123,
          "name": "<string>",
          "symbol": "<string>",
          "verified": true
        }
      },
      "status": "Processing",
      "requester": {
        "userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
        "tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt"
      },
      "dateCreated": "2023-04-14T20:41:28.715Z",
      "provider": "Borderless",
      "data": {
        "borderlessAccountId": "<string>",
        "paymentInstructionsId": "<string>",
        "paymentPurpose": "salary payment",
        "executionStatus": "Initializing",
        "country": "<string>",
        "dateConfirmed": "2023-04-14T20:41:28.715Z",
        "dateCanceled": "2023-04-14T20:41:28.715Z",
        "statusReason": "<string>",
        "borderlessPayoutId": "<string>",
        "depositAddress": "<string>",
        "transferId": "<string>",
        "transactionHash": "<string>",
        "dateDepositConfirmed": "2023-04-14T20:41:28.715Z",
        "datePayoutConfirmed": "2023-04-14T20:41:28.715Z"
      },
      "externalId": "<string>",
      "dateFinalized": "2023-04-14T20:41:28.715Z"
    }
  ],
  "nextPageToken": "<string>"
}

Authentication

✅ Organization User (CustomerEmployee)
✅ Delegated User (EndUser)
✅ Service Account

Required Permissions

Payouts:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Query Parameters

limit
integer

Maximum number of items to return.

Required range: 1 <= x <= 50
paginationToken
string

Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.

Minimum string length: 1
walletId
string

Filter payouts by wallet ID.

Required string length: 1 - 64
status
enum<string>[]

Filter payouts by status (comma-separated).

Dfns managed payout status.

Available options:
Processing,
Completed,
Failed,
Rejected,
Expired,
Canceled

Response

200 - application/json

Success

items
Borderless Payout · object[]
required

Current page items.

nextPageToken
string

token to use as paginationToken to request the next page.

Last modified on March 13, 2026